package org.acme

import javax.ws.rs.GET
import javax.ws.rs.Path
import javax.ws.rs.PathParam
import javax.ws.rs.Produces
import javax.ws.rs.core.HttpHeaders
import javax.ws.rs.core.MediaType

@Path("/hello")
class GreetingResource {

    @GET
    @Produces(MediaType.TEXT_PLAIN)
    fun hello() = "Hello from RESTEasy Reactive"

    @GET
    @Path("/{name}")
    @Produces(MediaType.TEXT_PLAIN)
    fun greet(
        @PathParam("name") name: String,
        headers: HttpHeaders,
    ) =
        "Hello, $name!"
}